/*
 * Copyright (c) 2014 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef CONFIG_H_
#define CONFIG_H_

#include <Elementary.h>
#include <app.h>

#define THEME_PATH "edje/piano.edj"
#define BUTTONS_STYLE_EDJ_PATH "edje/buttons.edj"
#define NOTE_BUTTON_DATA_KEY_NAME "edjepiano.note_data"
#define SNDPATH "sounds"

static inline const char *get_path(const char *file_path)
{
    static char layout_edj_path[PATH_MAX] = {'\0'};

    char *res_path_buff = app_get_resource_path();
    snprintf(layout_edj_path, PATH_MAX, "%s%s", res_path_buff, file_path);
    free(res_path_buff);

    return layout_edj_path;
}

#endif
